awn-notification-daemon randomly overrides notify-osd

Bug #357273 reported by Brent VanLiew on 2009-04-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Awn Extras
Medium
moonbeam
awn-extras-applets (Ubuntu)
Low
Julien Lavergne
notification-daemon (Ubuntu)
Undecided
Unassigned
notify-osd (Ubuntu)
Undecided
Mirco Müller

Bug Description

In my Dell Inspiron E1705 with the Jaunty Jackalope Beta, notify-osd will sometimes randomly revert to the old notification system upon reboot. This occurs intermittently, where I might restart my computer 10 times a day and notify-osd will only load correctly once or twice.

I've since noticed, however, that if I "force" a notification to appear while the system is booting up (i.e. repeatedly pressing my XF86AudioLowerVolume shortcut, notify-osd will load 100% of the time.

This bug occurs regardless of the theme I use (I'm currently using Dust, but I switched to Human for about a week and the bug still reared its ugly head).

Whenever the system fails to load notify-osd, the Compiz audio/brightness notifications appear alongside some bug ugly orange/white notifications on the lower left-hand corner of my screen.

Any ideas? I can submit any files/information that would help fix this bug. Thanks!

Related branches

Eitan Isaacson (eeejay) wrote :

Hi Brent.

Is there a package called "notification-daemon" installed?
When you see the old bubbles, which daemons are running? try:
ps ax | grep notif

Eitan Isaacson (eeejay) wrote :

Shouldn't the notify-osd and notification-daemon be mutually exclusive (ie. if you install one the other is removed)? notify-osd seems to have "Replaces" and "Provides" fields, but I still managed to install notification-daemon together with notify-osd.

Brent VanLiew (brent-vanliew) wrote :

Eitan,

Thanks for the reply.

The notification-daemon is not installed (according to Synaptic). I've attached a screenshot that shows what the notification bubbles currently look like in Pidgin...

Also, the following is the output to the "ps ax | grep notif" command:

insertnewsn@insertnewsn-laptop:~$ ps ax | grep notif
   19 ? S< 0:00 [kacpi_notify]
 3111 ? S 0:00 update-notifier --startup-delay=60
 3234 ? S 0:01 Awn Notification Daem - /usr/share/avant-window-navigator/applets/awnnotificationdaemon.desktop -u 1238221789 -w 23068721 -o 0 -h 48
16980 pts/0 S+ 0:00 grep notif

Eitan Isaacson (eeejay) on 2009-04-08
Changed in notification-daemon (Ubuntu):
status: New → Invalid
tags: added: notifications
Mark Lee (malept) wrote :

If you want to use the notify-osd system, don't use Awn Notification Daemon. A-N-D is essentially a "stock" version of notification-daemon, with a theme engine customization. No notify-osd support exists in the Awn applet.

I suppose having a "Provides" in the package is reasonable, but it seems that "Replaces" is a bit excessive.

Matthew Paul Thomas (mpt) wrote :

notify-osd and notification-daemon used to Conflicts/Replaces each other, until <https://blueprints.launchpad.net/ubuntu/+spec/stracciatella-session> was implemented.

summary: - notify-osd randomly reverts to old notification system
+ awn-notification-daemon randomly overrides notify-osd
moonbeam (rcryderman) wrote :

Over the weekend I'll try and find time to work up a patch so that the awn notification daemon consistently functions when it is activated in this situation. I'll also review the applet description to make it clear that it will shutdown notify-osd when the applet is activated.

Changed in awn-extras:
assignee: nobody → rcryderman
importance: Undecided → Medium
status: New → In Progress
Julien Lavergne (gilir) wrote :

As awn-notification-daemon is not the only applet in his package, I don't think the Conflicts/Replaces is a good solution. The best solution should to wait the fix from moonbeam.

Julien Lavergne (gilir) wrote :

Fixed upstream, I prepare an upload.

Changed in awn-extras-applets (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
importance: Undecided → Low
status: New → In Progress
Mirco Müller (macslow) wrote :

Not a notify-osd issue, but a thing to fix in an awn-plugin.

Changed in notify-osd (Ubuntu):
assignee: nobody → Mirco Müller (macslow)
status: New → Invalid
Mirco Müller (macslow) wrote :

It's an issue of the notification-plugin of the awn-extras package.

Changed in notify-osd:
assignee: nobody → Mirco Müller (macslow)
status: New → Invalid
moonbeam (rcryderman) wrote :

commits 1160,1161 confirmed to resolve issue. Awn notification daemon consistently functions when activated. Also modified applet description to make it clear that it will override notify-osd and notification-daemon when applet is active.

Changed in awn-extras:
status: In Progress → Fix Committed
Julien Lavergne (gilir) wrote :

Thoses revisions are included in the debdiff submitted on bug #332928 for upload.

Mark Lee (malept) on 2009-04-15
Changed in awn-extras:
milestone: none → 0.3.2.2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package awn-extras-applets - 0.3.2.1-0ubuntu3

---------------
awn-extras-applets (0.3.2.1-0ubuntu3) jaunty; urgency=low

  [ Julien Lavergne ]
  * debian/patches/90-shinyswitcher-null-crash-1140.patch
   - From upstream (r1140): Fix for various crash for some configurations.
     (LP: #332928) (LP: #347046).
  * debian/patches/91-shiny-shinyswitcher-init-wallpaper-1162.patch:
   - From upstream (r1162): Initialize wallpaper variable to avoid a
     possible crash.
  * debian/patches/92-notification-daemon-disable-notify-osd-1160-1161.patch:
   - From upstream (r1160 and r1161): Disable notify-osd when
     awn-notification-daemon is actived. (LP: #357273)
  * debian/awn-applets-python-extras.install: Enable pynot applets with
    transparency support (LP: #353443).
  * debian/control:
   - Add description for pynot-rgba applet.
   - Add missing XB-Python-Version for python-awn-extras.

  [ Iain Lane ]
  * Add dependency on python-xlib for pynot-rgba plugin

 -- Julien Lavergne <email address hidden> Wed, 15 Apr 2009 20:29:49 +0200

Changed in awn-extras-applets (Ubuntu):
status: In Progress → Fix Released
Mark Lee (malept) wrote :

Fix released in Awn Extras 0.3.2.2.

Changed in awn-extras:
status: Fix Committed → Fix Released
no longer affects: notify-osd
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers